System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

These methods generate a case-insensitive instance of the collection using case-insensitive implementations of the hash code provider and the comparer. The resulting instance can be used like any other instances of that class, although it may behave differently.

For example, suppose two objects with the keys "hello" and "HELLO" are to be added to a hash table. A case-sensitive hash table would create two different entries; whereas, a case-insensitive hash table would throw an exception when adding the second object.

Creates collections that ignore the case in strings.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.Hashtable

  Instead of using the method, use the constructor to create a case-insensitive class.

  Creates a new case-insensitive instance of the class with the default initial capacity.

  A new case-insensitive instance of the class with the default initial capacity.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.Hashtable ``

  Instead of using the method, use the constructor to create a case-insensitive class.

  Copies the entries from the specified dictionary to a new case-insensitive instance of the class with the same initial capacity as the number of entries copied.

  A new case-insensitive instance of the class containing the entries from the specified .

  The to copy to a new case-insensitive .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.Hashtable ``

  Instead of using the method, use the constructor to create a case-insensitive class.

  Creates a new case-insensitive instance of the class with the specified initial capacity.

  A new case-insensitive instance of the class with the specified initial capacity.

  The approximate number of entries that the can initially contain.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.SortedList

  The new instance is sorted according to the .

  Creates a new instance of the class that ignores the case of strings.

  A new instance of the class that ignores the case of strings.